package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import com.qmth.teachcloud.common.enums.QuestionType;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 分析试卷结构excel操作类
 * @Author: CaoZixuan
 * @Date: 2022-05-30
 */
public class GradePaperStructDto {
    @ExcelNote(value = "课程代码")
    @ExcelProperty(name = "课程代码", width = 30, index = 1)
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程名称")
    @ExcelProperty(name = "课程名称", width = 30, index = 2)
    @NotNull
    private String courseName;

    @ExcelNote(value = "试卷编号")
    @ExcelProperty(name = "试卷编号", width = 30, index = 3)
    @NotNull
    private String paperNumber;

    @ExcelNote(value = "试卷类型")
    @ExcelProperty(name = "试卷类型", width = 30, index = 4)
    @NotNull
    private String paperType;

    @ExcelNote(value = "题目类型")
    @ExcelProperty(name = "题目类型", width = 30, index = 5)
    @NotNull
    private String numberType;

    @ExcelNote(value = "大题名称")
    @ExcelProperty(name = "大题名称", width = 30, index = 6)
    @NotNull
    private String bigTopicName;

    @ExcelNote(value = "大题号")
    @ExcelProperty(name = "大题号", width = 30, index = 7)
    @NotNull
    private String bigQuestionNumber;

    @ExcelNote(value = "小题号")
    @ExcelProperty(name = "小题号", width = 30, index = 8)
    @NotNull
    private String smallQuestionNumber;

    @ExcelNote(value = "题目满分")
    @ExcelProperty(name = "题目满分", width = 30, index = 9)
    @NotNull
    private String fullScore;

    @ExcelNote(value = "知识维度")
    @ExcelProperty(name = "知识维度", width = 30, index = 10)
    @NotNull
    private String knowledgeDimension;

    @ExcelNote(value = "能力维度")
    @ExcelProperty(name = "能力维度", width = 30, index = 11)
    @NotNull
    private String abilityDimension;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getNumberType() {
        return numberType;
    }

    public void setNumberType(String numberType) {
        this.numberType = numberType;
    }

    public String getBigTopicName() {
        return bigTopicName;
    }

    public void setBigTopicName(String bigTopicName) {
        this.bigTopicName = bigTopicName;
    }

    public String getBigQuestionNumber() {
        return bigQuestionNumber;
    }

    public void setBigQuestionNumber(String bigQuestionNumber) {
        this.bigQuestionNumber = bigQuestionNumber;
    }

    public String getSmallQuestionNumber() {
        return smallQuestionNumber;
    }

    public void setSmallQuestionNumber(String smallQuestionNumber) {
        this.smallQuestionNumber = smallQuestionNumber;
    }

    public String getFullScore() {
        return fullScore;
    }

    public void setFullScore(String fullScore) {
        this.fullScore = fullScore;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }
}
